# Pflanzenbewaesserung

## Inhaltsverzeichnis

1. [Konzept](#1-Konzept)
2. [Pumpe](#2-Pumpe)
    1. [Pumpensteuerung](#21-Pumpensteuerung)
3. [Leitungen](#3-Leitungen)
4. [Blumentopftank](#4-Blumentopftank)

---
# 1. Konzept {#1-Konzept}

---
# 2. Pumpe {#2-Pumpe}

Als Pumpe zum Fördern des Wassers wurde eine 3-5V [Tauchpumpe](https://www.pollin.de/p/tauchpumpe-3-5v-stehend-330136) gewählt.

# 2.1 Pumpensteuerung {#21-Pumpensteuerung}

Die Steuerung wird durch einen ESP-8266 Microcontroller, über das [NodeMCU V2-Board](https://www.az-delivery.de/products/nodemcu) realisiert. Der Microcontroller wird mithilfe von [ESPHome](https://esphome.io) programmiert/konfiguriert und geflasht. Der ESP-8266 wird dabei als "switch" konfiguriert:
```
switch:
  - platform: gpio
    pin: 2
    icon: "mdi:pump"
    name: Pflanzenpumpe
    id: pflanzenpumpe
```
[ESPHome](https://esphome.io) wird danach als Integration zu [Home Assistant](https://www.home-assistant.io) hinzugefügt, sodass Automatisierungen erstellt werden können. Sobald der "switch" betätigt wird,

---
# 3. Leitungen {#3-Leitungen}

Zu der Pumpe wurde ein 7x9 [Silikonschlauch](https://www.pollin.de/p/silikonschlauch-7x9-mm-3-m-330131) mit einer Länge von 3m gewählt. Dieser wird in verschiedene Segmente geteilt und mit Verteilerstücken mit der Pumpe verbunden, sodass jeder Topf mit Wasser versorgt werden kann. Der Anschluss für so ein Verteilerstück benötigt dabei einen Durchmesser von 7,5mm.

---
# 4. Blumentopftank {#4-Blumentopftank}

Um das Wasser gezielt in die Erde des Blumentopfes zu leiten und es zusätzlich eine Zeit lang speichern zu können, wird ein entsprechender Tank konstruiert, welcher das Wasser aus der Leitung auffängt (vgl. Abbildung X.1)

Dieser wird mittels eines 3D-Druckers aus zwei Teilen, welche ineinander geschoben und verklebt werden, gefertigt (vgl. Abbildung X.2).

| Abbildung X.1 | Abbildung X.2 |
| :---: | :---:|
| ![Abbildung X.1](/Skizzen/Blumentopftank-Konzept.jpeg) | ![Abbildung X.2](/Skizzen/Blumentopftank-Skizze.jpeg) |
| Konzept Blumentopftank | Konzept Blumentopftank |